gdcm::Printer Class Reference

Printer class. More...

`#include <gdcmPrinter.h>`

Inheritance diagram for gdcm::Printer:
[legend]
Collaboration diagram for gdcm::Printer:
[legend]

## Public Types

enum | PrintStyles { VERBOSE_STYLE = 0 , CONDENSED_STYLE , XML , CXX }

## Public Member Functions

| Printer ()
| ~Printer ()=default
PrintStyles | GetPrintStyle () const
| Get PrintStyle value.
void | Print (std::ostream &os)
| Print.
void | PrintDataSet (const DataSet &ds, std::ostream &os, const std::string &s="")
| Print an individual dataset.
void | SetColor (bool c)
| Set color mode or not.
void | SetFile (File const &f)
| Set file.
void | SetStyle (PrintStyles ps)
| Set PrintStyle value.

## Protected Member Functions

VR | PrintDataElement (std::ostringstream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, std::ostream &out, std::string const &indent)
void | PrintSQ (const SequenceOfItems *sqi, std::ostream &os, std::string const &indent)

## Protected Attributes

const File * | F
VL | MaxPrintLength
PrintStyles | PrintStyle

## Detailed Description

Printer class.

Examples
  DumpSiemensBase64.cxx, DumpToshibaDTI.cxx, and DumpToshibaDTI2.cxx.

## Member Enumeration Documentation

## PrintStyles

enum gdcm::Printer::PrintStyles

Enumerator
VERBOSE_STYLE |
CONDENSED_STYLE |
XML |
CXX |

## Constructor & Destructor Documentation

## Printer()

gdcm::Printer::Printer | ( |  | ) |

## ~Printer()

gdcm::Printer::~Printer | ( |  | ) |

default

## Member Function Documentation

## GetPrintStyle()

PrintStyles gdcm::Printer::GetPrintStyle | ( |  | ) | const

inline

Get PrintStyle value.

References PrintStyle.

## Print()

void gdcm::Printer::Print | ( | std::ostream & | os | ) |

Print.

Examples
  DumpSiemensBase64.cxx.

## PrintDataElement()

VR gdcm::Printer::PrintDataElement | ( | std::ostringstream & | os,
|  | const Dicts & | dicts,
|  | const DataSet & | ds,
|  | const DataElement & | de,
|  | std::ostream & | out,
|  | std::string const & | indent )

protected

## PrintDataSet()

void gdcm::Printer::PrintDataSet | ( | const DataSet & | ds,
|  | std::ostream & | os,
|  | const std::string & | s = "" )

Print an individual dataset.

## PrintSQ()

void gdcm::Printer::PrintSQ | ( | const SequenceOfItems * | sqi,
|  | std::ostream & | os,
|  | std::string const & | indent )

protected

## SetColor()

void gdcm::Printer::SetColor | ( | bool | c | ) |

Set color mode or not.

## SetFile()

void gdcm::Printer::SetFile | ( | File const & | f | ) |

inline

Set file.

Examples
  DumpSiemensBase64.cxx, DumpToshibaDTI.cxx, and DumpToshibaDTI2.cxx.

References F.

## SetStyle()

void gdcm::Printer::SetStyle | ( | PrintStyles | ps | ) |

inline

Set PrintStyle value.

References PrintStyle.

## Member Data Documentation

## F

const File* gdcm::Printer::F

protected

Referenced by SetFile().

## MaxPrintLength

VL gdcm::Printer::MaxPrintLength

protected

## PrintStyle

PrintStyles gdcm::Printer::PrintStyle

protected

Referenced by gdcm::Dumper::Dumper(), GetPrintStyle(), and SetStyle().

The documentation for this class was generated from the following file:

- gdcmPrinter.h